{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To remove forwarding rules from a load balancer instance, send a DELETE\nrequest to `/v2/load_balancers/$LOAD_BALANCER_ID/forwarding_rules`. In the\nbody of the request, there should be a `forwarding_rules` attribute containing\nan array of rules to be removed.\n\nNo response body will be sent back, but the response code will indicate\nsuccess. Specifically, the response code will be a 204, which means that the\naction was successful with no returned body data.\n","properties":{"path":{"type":"object","properties":{"lb_id":{"type":"string","minimum":1,"examples":["4de7ac8b-495b-4884-9a69-1050c6793cd6"],"description":"A unique identifier for a load balancer."}},"required":["lb_id"],"additionalProperties":false},"body":{"properties":{"forwarding_rules":{"type":"array","minItems":1,"items":{"$ref":"#/definitions/forwarding_rule"}}},"required":["forwarding_rules"]}},"required":["path","body"],"additionalProperties":false,"definitions":{"forwarding_rule":{"type":"object","description":"An object specifying a forwarding rule for a load balancer.","properties":{"entry_protocol":{"type":"string","enum":["http","https","http2","http3","tcp","udp"],"description":"The protocol used for traffic to the load balancer. The possible values are: `http`, `https`, `http2`, `http3`, `tcp`, or `udp`. If you set the  `entry_protocol` to `udp`, the `target_protocol` must be set to `udp`.  When using UDP, the load balancer requires that you set up a health  check with a port that uses TCP, HTTP, or HTTPS to work properly.\n","examples":["https"]},"entry_port":{"type":"integer","description":"An integer representing the port on which the load balancer instance will listen.","examples":[443]},"target_protocol":{"type":"string","enum":["http","https","http2","tcp","udp"],"description":"The protocol used for traffic from the load balancer to the backend Droplets. The possible values are: `http`, `https`, `http2`, `tcp`, or `udp`. If you set the `target_protocol` to `udp`, the `entry_protocol` must be set to  `udp`. When using UDP, the load balancer requires that you set up a health  check with a port that uses TCP, HTTP, or HTTPS to work properly.\n","examples":["http"]},"target_port":{"type":"integer","description":"An integer representing the port on the backend Droplets to which the load balancer will send traffic.","examples":[80]},"certificate_id":{"type":"string","description":"The ID of the TLS certificate used for SSL termination if enabled.","examples":["892071a0-bb95-49bc-8021-3afd67a210bf"]},"tls_passthrough":{"type":"boolean","description":"A boolean value indicating whether SSL encrypted traffic will be passed through to the backend Droplets.","examples":[false]}},"required":["entry_protocol","entry_port","target_protocol","target_port"]}}},"name":"Remove Forwarding Rules from a Load Balancer","id":"digitalocean.loadbalancers_remove_forwardingrules","example":{"path":{"lb_id":"4de7ac8b-495b-4884-9a69-1050c6793cd6"},"body":{"forwarding_rules":[{"entry_protocol":"https","entry_port":443,"target_protocol":"http","target_port":80}]}},"maxRequests":1,"summary":false}}